## tp-na 0.3

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
BINDIR=/usr/sbin
ETCDIR=/etc/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack debian/stamp-patched configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-na (0.3) squeeze; urgency=low

  * Update Makefile, ..upload and debian/rules to version 0.24.
  * Add tp-na-rpi for raspberrypi.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sat, 16 Mar 2013 21:26:51 +0000

tp-na (0.2) updates; urgency=low

  * added tp-na-sparc
  * Makefile: updated for etch, included better rules for upload and tag

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 10 Mar 2008 02:20:34 +0000

tp-na (0.1) updates; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 11 Mar 2007 14:21:11 +0000

=== debian/control ===
Source: tp-na
Section: dsi
Priority: extra
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: tp-na
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: represents a package or feature not available
 Sometimes when declaring depends, it is necessary to depend on a
 package not available on all architectures.  If depend is really
 needed on supported archs but don't needed on the others
 architectures, then declare a depends on a package tp-na-<ARCH> for
 all architectures your package can work, but the depend is not
 available.
 .
 This kind of package is more useful for depends on meta-packages.
 .
 This package is available on all archs, so you don't really needed
 it.
 .


Package: tp-na-i386
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: represents a package or feature not available on i386
 Sometimes when declaring depends, it is necessary to depend on a
 package not available on all architectures.  If depend is really
 needed on supported archs but don't needed on the others
 architectures, then declare a depends on a package tp-na-<ARCH> for
 all architectures your package can work, but the depend is not
 available.
 .
 This kind of package is more useful for depends on meta-packages.
 .

Package: tp-na-amd64
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: represents a package or feature not available on amd64
 Sometimes when declaring depends, it is necessary to depend on a
 package not available on all architectures.  If depend is really
 needed on supported archs but don't needed on the others
 architectures, then declare a depends on a package tp-na-<ARCH> for
 all architectures your package can work, but the depend is not
 available.
 .
 This kind of package is more useful for depends on meta-packages.
 .

Package: tp-na-powerpc
Architecture: powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: represents a package or feature not available on powerpc
 Sometimes when declaring depends, it is necessary to depend on a
 package not available on all architectures.  If depend is really
 needed on supported archs but don't needed on the others
 architectures, then declare a depends on a package tp-na-<ARCH> for
 all architectures your package can work, but the depend is not
 available.
 .
 This kind of package is more useful for depends on meta-packages.
 .

Package: tp-na-alpha
Architecture: alpha
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: represents a package or feature not available on alpha
 Sometimes when declaring depends, it is necessary to depend on a
 package not available on all architectures.  If depend is really
 needed on supported archs but don't needed on the others
 architectures, then declare a depends on a package tp-na-<ARCH> for
 all architectures your package can work, but the depend is not
 available.
 .
 This kind of package is more useful for depends on meta-packages.
 .

Package: tp-na-sparc
Architecture: sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: represents a package or feature not available on sparc
 Sometimes when declaring depends, it is necessary to depend on a
 package not available on all architectures.  If depend is really
 needed on supported archs but don't needed on the others
 architectures, then declare a depends on a package tp-na-<ARCH> for
 all architectures your package can work, but the depend is not
 available.
 .
 This kind of package is more useful for depends on meta-packages.
 .

Package: tp-na-rpi
Architecture: armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: represents a package or feature not available on raspberrypi
 Sometimes when declaring depends, it is necessary to depend on a
 package not available on all architectures.  If depend is really
 needed on supported archs but don't needed on the others
 architectures, then declare a depends on a package tp-na-<ARCH> for
 all architectures your package can work, but the depend is not
 available.
 .
 This kind of package is more useful for depends on meta-packages.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) configure
	touch $@


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) install 


# Build architecture-independent files here.
#binary-indep: build-indep install
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build-arch install
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
